aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/macos')
-rwxr-xr-xcoin/provisioning/common/macos/install_openssl_111a.sh (renamed from coin/provisioning/common/macos/install_openssl.sh)19
-rwxr-xr-xcoin/provisioning/common/macos/macos-version.sh53
-rwxr-xr-xcoin/provisioning/common/macos/version.sh43
3 files changed, 104 insertions, 11 deletions
diff --git a/coin/provisioning/common/macos/install_openssl.sh b/coin/provisioning/common/macos/install_openssl_111a.sh
index 3b1978e2..cd6cd9e8 100755
--- a/coin/provisioning/common/macos/install_openssl.sh
+++ b/coin/provisioning/common/macos/install_openssl_111a.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2018 The Qt Company Ltd.
+## Copyright (C) 2019 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -37,16 +37,16 @@
set -ex
-# shellcheck source=../common/unix/InstallFromCompressedFileFromURL.sh
+# shellcheck source=../unix/InstallFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh"
-# shellcheck source=../common/unix/SetEnvVar.sh
+# shellcheck source=../unix/SetEnvVar.sh
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
-opensslVersion="1.0.2p"
+opensslVersion="1.1.1a"
opensslFile="openssl-$opensslVersion.tar.gz"
opensslDlUrl="http://ci-files01-hki.intra.qt.io/input/openssl/$opensslFile"
opensslAltDlUrl="https://www.openssl.org/source/$opensslFile"
-opensslSha1="f34b5322e92415755c7d58bf5d0d5cf37666382c"
+opensslSha1="8fae27b4f34445a5500c9dc50ae66b4d6472ce29"
# Below target location has been hard coded into Coin.
# QTQAINFRA-1195
@@ -55,12 +55,9 @@ opensslTargetLocation="/usr/local/opt/openssl"
InstallFromCompressedFileFromURL "$opensslDlUrl" "$opensslAltDlUrl" "$opensslSha1" "/tmp/openssl-$opensslVersion" "openssl-$opensslVersion"
cd "/tmp/openssl-$opensslVersion"
-pwd
-sudo ./config --prefix=$openssl_install_dir
-echo "Running 'make' for OpenSSL"
-sudo make --silent > /tmp/openssl_make.log 2>&1
-echo "Running 'make install' for OpenSSL"
-sudo make --silent install > /tmp/openssl_make_install.log 2>&1
+sudo ./Configure --prefix=$openssl_install_dir shared no-ssl3-method enable-ec_nistp_64_gcc_128 darwin64-x86_64-cc "-Wa,--noexecstack"
+
+sudo make install_sw install_ssldirs
path=$(echo "$opensslTargetLocation" | sed -E 's/(.*)\/.*$/\1/')
sudo mkdir -p "$path"
diff --git a/coin/provisioning/common/macos/macos-version.sh b/coin/provisioning/common/macos/macos-version.sh
new file mode 100755
index 00000000..9f357b8c
--- /dev/null
+++ b/coin/provisioning/common/macos/macos-version.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script needs to be called last during provisioning so that the software information will show up last in provision log.
+
+set -ex
+
+# Print all build machines versions to provision log
+echo "*********************************************" >> ~/versions.txt
+echo "***** macOS version *****" >> ~/versions.txt
+sw_vers >> ~/versions.txt
+echo "***** All installed packages *****" >> ~/versions.txt
+echo "***** HomeBrew *****" >> ~/versions.txt
+brew list --versions >> ~/versions.txt
+echo "***** HomeBrew Casks*****" >> ~/versions.txt
+brew cask list --versions >> ~/versions.txt
+echo "***** Apple's installer *****" >> ~/versions.txt
+pkgutil --pkgs >> ~/versions.txt
+echo "*********************************************" >> ~/versions.txt
+
+"$(dirname "$0")/version.sh"
diff --git a/coin/provisioning/common/macos/version.sh b/coin/provisioning/common/macos/version.sh
new file mode 100755
index 00000000..3e2a7f19
--- /dev/null
+++ b/coin/provisioning/common/macos/version.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script will print all installed software to provision log.
+# Script needs to be named so that it will be ran at last during provisioning
+
+# Print all build machines versions to provision log
+echo "*********************************************"
+echo "***** SW VERSIONS *****"
+cat ~/versions.txt
+echo "*********************************************"